package net.minecraft.world.level.levelgen.placement.nether;

import net.minecraft.world.level.levelgen.feature.configurations.DecoratorConfiguration;
import java.util.stream.IntStream;
import java.util.stream.Stream;
import net.minecraft.core.BlockPos;
import java.util.Random;
import com.mojang.serialization.Codec;
import net.minecraft.world.level.levelgen.placement.FrequencyDecoratorConfiguration;
import net.minecraft.world.level.levelgen.placement.SimpleFeatureDecorator;

public class LightGemChanceDecorator extends SimpleFeatureDecorator<FrequencyDecoratorConfiguration> {
    public LightGemChanceDecorator(final Codec<FrequencyDecoratorConfiguration> codec) {
        super(codec);
    }
    
    public Stream<BlockPos> place(final Random random, final FrequencyDecoratorConfiguration csf, final BlockPos fu) {
        final int integer4;
        final int integer5;
        final int integer6;
        return IntStream.range(0, random.nextInt(random.nextInt(csf.count) + 1)).<BlockPos>mapToObj(integer -> {
            integer4 = random.nextInt(16) + fu.getX();
            integer5 = random.nextInt(16) + fu.getZ();
            integer6 = random.nextInt(120) + 4;
            return new BlockPos(integer4, integer6, integer5);
        });
    }
}
